{
  "name": "venue_reservation_manage",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "preview": "vite preview",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs --fix --ignore-path .gitignore",
    "format": "prettier --write src/",
    "prepare": "husky install",
    "lint-staged": "lint-staged"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@icon-park/vue-next": "^1.4.2",
    "@stomp/stompjs": "^7.1.1",
    "@vueup/vue-quill": "^1.2.0",
    "axios": "^1.6.8",
    "echarts": "^5.5.1",
    "element-plus": "^2.7.2",
    "epic-spinners": "^2.0.0",
    "markdown-it": "^14.1.0",
    "pinia": "^2.1.7",
    "sockjs-client": "^1.6.1",
    "stompjs": "^2.3.3",
    "vue": "^3.4.21",
    "vue-echarts": "^7.0.3",
    "vue-router": "^4.3.0",
    "vue3-websocket": "^2.2.0"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.8.0",
    "@vitejs/plugin-vue": "^5.0.4",
    "@vue/eslint-config-prettier": "^9.0.0",
    "eslint": "^8.57.0",
    "eslint-plugin-vue": "^9.23.0",
    "husky": "^8.0.0",
    "lint-staged": "^15.2.2",
    "pinia-plugin-persistedstate": "^3.2.1",
    "prettier": "^3.2.5",
    "sass": "^1.77.0",
    "unplugin-auto-import": "^0.17.5",
    "unplugin-vue-components": "^0.27.0",
    "vite": "^5.2.8"
  },
  "lint-staged": {
    "*.{js,ts,vue}": [
      "eslint --fix"
    ]
  }
}
